Index: FCKeditor/trunk/editor/filemanager/browser/default/browser.css
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/browser.css	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/browser/default/browser.css	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/browser/default/js/common.js
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/js/common.js	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/browser/default/js/common.js	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp	(revision 1564)
@@ -191,5 +191,5 @@
 	dim sFileUrl
 	sFileUrl = CombinePaths( GetResourceTypePath( resourceType, sCommand ) , currentFolder )
-	sFileUrl = CombinePaths( sFileUrl, sFileName ) 
+	sFileUrl = CombinePaths( sFileUrl, sFileName )
 
 	SendUploadResults sErrorNumber, sFileUrl, sFileName, ""
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 1564)
@@ -24,5 +24,5 @@
 
 ' SECURITY: You must explicitly enable this "connector" (set it to "True").
-' WARNING: don't just set "ConfigIsEnabled = true", you must be sure that only 
+' WARNING: don't just set "ConfigIsEnabled = true", you must be sure that only
 '		authenticated users can access this file or use some kind of session checking.
 Dim ConfigIsEnabled
@@ -30,5 +30,5 @@
 
 ' Path to user files relative to the document root.
-' This setting is preserved only for backward compatibility. 
+' This setting is preserved only for backward compatibility.
 ' You should look at the settings for each resource type to get the full potential
 Dim ConfigUserFilesPath
@@ -38,5 +38,5 @@
 ' following setting enabled.
 Dim ConfigForceSingleExtension
-ConfigForceSingleExtension = true 
+ConfigForceSingleExtension = true
 
 ' What the user can do with this connector
@@ -55,8 +55,8 @@
 '	Configuration settings for each Resource Type
 '
-'	- AllowedExtensions: the possible extensions that can be allowed. 
+'	- AllowedExtensions: the possible extensions that can be allowed.
 '		If it is empty then any file type can be uploaded.
 '
-'	- DeniedExtensions: The extensions that won't be allowed. 
+'	- DeniedExtensions: The extensions that won't be allowed.
 '		If it is empty then no restrictions are done here.
 '
@@ -65,11 +65,11 @@
 '
 '	- FileTypesPath: the virtual folder relative to the document root where
-'		these resources will be located. 
+'		these resources will be located.
 '		Attention: It must start and end with a slash: '/'
 '
 '	- FileTypesAbsolutePath: the physical path to the above folder. It must be
-'		an absolute path. 
+'		an absolute path.
 '		If it's an empty string then it will be autocalculated.
-'		Useful if you are using a virtual directory, symbolic link or alias. 
+'		Useful if you are using a virtual directory, symbolic link or alias.
 '		Examples: 'C:\\MySite\\userfiles\\' or '/root/mysite/userfiles/'.
 '		Attention: The above 'FileTypesPath' must point to the same directory.
@@ -77,12 +77,12 @@
 '
 ' - QuickUploadPath: the virtual folder relative to the document root where
-'		these resources will be uploaded using the Upload tab in the resources 
+'		these resources will be uploaded using the Upload tab in the resources
 '		dialogs.
 '		Attention: It must start and end with a slash: '/'
 '
 '	 - QuickUploadAbsolutePath: the physical path to the above folder. It must be
-'		an absolute path. 
+'		an absolute path.
 '		If it's an empty string then it will be autocalculated.
-'		Useful if you are using a virtual directory, symbolic link or alias. 
+'		Useful if you are using a virtual directory, symbolic link or alias.
 '		Examples: 'C:\\MySite\\userfiles\\' or '/root/mysite/userfiles/'.
 '		Attention: The above 'QuickUploadPath' must point to the same directory.
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/connector.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/connector.asp	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/connector.asp	(revision 1564)
@@ -51,5 +51,5 @@
 	sCurrentFolder = GetCurrentFolder()
 
-	' Check if it is an allowed command 
+	' Check if it is an allowed command
 	if ( Not IsAllowedCommand( sCommand ) ) then
 		SendError 1, "The """ & sCommand & """ command isn't allowed"
@@ -57,5 +57,5 @@
 
 	' Check if it is an allowed resource type.
-	if ( Not IsAllowedType( sResourceType ) ) Then 
+	if ( Not IsAllowedType( sResourceType ) ) Then
 		SendError 1, "The """ & sResourceType & """ resource type isn't allowed"
 	end if
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/io.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/io.asp	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/io.asp	(revision 1564)
@@ -41,12 +41,12 @@
 		else
 			' Map the "UserFiles" path to a local directory.
-			GetResourceTypeDirectory = Server.MapPath( ConfigQuickUploadPath.Item( resourceType ) ) 
+			GetResourceTypeDirectory = Server.MapPath( ConfigQuickUploadPath.Item( resourceType ) )
 		end if
 	else
-		if ( ConfigFileTypesAbsolutePath.Item( resourceType ) <> "" ) then 
+		if ( ConfigFileTypesAbsolutePath.Item( resourceType ) <> "" ) then
 			GetResourceTypeDirectory = ConfigFileTypesAbsolutePath.Item( resourceType )
 		else
 			' Map the "UserFiles" path to a local directory.
-			GetResourceTypeDirectory = Server.MapPath( ConfigFileTypesPath.Item( resourceType ) ) 
+			GetResourceTypeDirectory = Server.MapPath( ConfigFileTypesPath.Item( resourceType ) )
 		end if
 	end if
@@ -64,5 +64,5 @@
 	Dim sResourceTypePath
 	' Get the resource type directory.
-	sResourceTypePath = GetResourceTypeDirectory( resourceType, sCommand ) 
+	sResourceTypePath = GetResourceTypeDirectory( resourceType, sCommand )
 
 	' Ensure that the directory exists.
Index: FCKeditor/trunk/editor/filemanager/connectors/aspx/config.ascx
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/aspx/config.ascx	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/aspx/config.ascx	(revision 1564)
@@ -23,5 +23,5 @@
 --%>
 <script runat="server">
-	
+
 	/**
 	 * This function must check the user session to be sure that he/she is
@@ -95,4 +95,4 @@
 		TypeConfig[ "Media" ].QuickUploadAbsolutePath	= ( UserFilesAbsolutePath == "" ? "" : "%UserFilesAbsolutePath%" );
 	}
-	
+
 </script>
Index: FCKeditor/trunk/editor/filemanager/connectors/aspx/connector.aspx
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/aspx/connector.aspx	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/aspx/connector.aspx	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/aspx/upload.aspx
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/aspx/upload.aspx	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/aspx/upload.aspx	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/ImageObject.cfc
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/ImageObject.cfc	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/ImageObject.cfc	(revision 1564)
@@ -2,5 +2,5 @@
 <!---
 	ImageObject.cfc written by Rick Root (rick@webworksllc.com)
-	
+
 	Related Web Sites:
 	- http://www.opensourcecf.com/imagecfc (home page)
@@ -33,32 +33,32 @@
 	All rights reserved.
 
-	Redistribution and use in source and binary forms, with or 
-	without modification, are permitted provided that the 
+	Redistribution and use in source and binary forms, with or
+	without modification, are permitted provided that the
 	following conditions are met:
 
-	- Redistributions of source code must retain the above 
-	  copyright notice, this list of conditions and the 
-	  following disclaimer. 
-	- Redistributions in binary form must reproduce the above 
-	  copyright notice, this list of conditions and the 
-	  following disclaimer in the documentation and/or other 
-	  materials provided with the distribution. 
-	- Neither the name of the Webworks, LLC. nor the names of 
-	  its contributors may be used to endorse or promote products 
-	  derived from this software without specific prior written 
-	  permission. 
-
-	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-	CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-	INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-	MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-	DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-	CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-	BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
-	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
-	HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
-	CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
-	OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
+	- Redistributions of source code must retain the above
+	  copyright notice, this list of conditions and the
+	  following disclaimer.
+	- Redistributions in binary form must reproduce the above
+	  copyright notice, this list of conditions and the
+	  following disclaimer in the documentation and/or other
+	  materials provided with the distribution.
+	- Neither the name of the Webworks, LLC. nor the names of
+	  its contributors may be used to endorse or promote products
+	  derived from this software without specific prior written
+	  permission.
+
+	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
+	CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
+	INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+	MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+	DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+	CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+	BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+	HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+	CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+	OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 --->
@@ -188,5 +188,5 @@
 	</cfif>
 	<cfset imageCFC.setOption(key, val)>
-	
+
 </cffunction>
 
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_upload.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_upload.cfm	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf5_upload.cfm	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_basexml.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_basexml.cfm	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_basexml.cfm	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_upload.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_upload.cfm	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_upload.cfm	(revision 1564)
@@ -65,4 +65,2 @@
 
 <cfset FileUpload( sType, sCurrentFolder, sCommand )>
-
-
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_util.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_util.cfm	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/cf_util.cfm	(revision 1564)
@@ -130,3 +130,2 @@
 	<cfreturn false>
 </cffunction>
-
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/connector.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/connector.cfm	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/connector.cfm	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/image.cfc
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/image.cfc	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/image.cfc	(revision 1564)
@@ -1323,3 +1323,2 @@
 
 </cfcomponent>
-
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/upload.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/upload.cfm	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/upload.cfm	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/basexml.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/basexml.pl	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/basexml.pl	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/commands.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/commands.pl	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/commands.pl	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/connector.cgi
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/connector.cgi	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/connector.cgi	(revision 1564)
@@ -135,3 +135,2 @@
 	exit ;
 }
-
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/io.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/io.pl	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/io.pl	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/upload.cgi
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/upload.cgi	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/upload.cgi	(revision 1564)
@@ -116,3 +116,2 @@
 
 }
-
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/upload_fck.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/upload_fck.pl	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/upload_fck.pl	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/perl/util.pl
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/perl/util.pl	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/perl/util.pl	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/php/basexml.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/basexml.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/basexml.php	(revision 1564)
@@ -67,5 +67,5 @@
 {
 	if ( isset( $GLOBALS['HeaderSent'] ) && $GLOBALS['HeaderSent'] )
-	{ 
+	{
 		SendErrorNode( $number, $text ) ;
 		CreateXmlFooter() ;
@@ -79,7 +79,7 @@
 
 		echo '<Connector>' ;
-		
+
 		SendErrorNode( $number, $text ) ;
-		
+
 		echo '</Connector>' ;
 	}
Index: FCKeditor/trunk/editor/filemanager/connectors/php/commands.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/commands.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/commands.php	(revision 1564)
@@ -190,5 +190,5 @@
 			}
 		}
-		
+
 		if ( isset( $Config['HtmlExtensions'] ) )
 		{
Index: FCKeditor/trunk/editor/filemanager/connectors/php/config.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/config.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/config.php	(revision 1564)
@@ -26,5 +26,5 @@
 
 // SECURITY: You must explicitly enable this "connector". (Set it to "true").
-// WARNING: don't just set "$Config['Enabled'] = true ;", you must be sure that only 
+// WARNING: don't just set "$Config['Enabled'] = true ;", you must be sure that only
 //		authenticated users can access this file or use some kind of session checking.
 $Config['Enabled'] = false ;
@@ -65,7 +65,7 @@
 	Configuration settings for each Resource Type
 
-	- AllowedExtensions: the possible extensions that can be allowed. 
+	- AllowedExtensions: the possible extensions that can be allowed.
 		If it is empty then any file type can be uploaded.
-	- DeniedExtensions: The extensions that won't be allowed. 
+	- DeniedExtensions: The extensions that won't be allowed.
 		If it is empty then no restrictions are done here.
 
@@ -74,11 +74,11 @@
 
 	- FileTypesPath: the virtual folder relative to the document root where
-		these resources will be located. 
+		these resources will be located.
 		Attention: It must start and end with a slash: '/'
 
 	- FileTypesAbsolutePath: the physical path to the above folder. It must be
-		an absolute path. 
+		an absolute path.
 		If it's an empty string then it will be autocalculated.
-		Useful if you are using a virtual directory, symbolic link or alias. 
+		Useful if you are using a virtual directory, symbolic link or alias.
 		Examples: 'C:\\MySite\\userfiles\\' or '/root/mysite/userfiles/'.
 		Attention: The above 'FileTypesPath' must point to the same directory.
@@ -86,21 +86,21 @@
 
 	 - QuickUploadPath: the virtual folder relative to the document root where
-		these resources will be uploaded using the Upload tab in the resources 
+		these resources will be uploaded using the Upload tab in the resources
 		dialogs.
 		Attention: It must start and end with a slash: '/'
 
 	 - QuickUploadAbsolutePath: the physical path to the above folder. It must be
-		an absolute path. 
+		an absolute path.
 		If it's an empty string then it will be autocalculated.
-		Useful if you are using a virtual directory, symbolic link or alias. 
+		Useful if you are using a virtual directory, symbolic link or alias.
 		Examples: 'C:\\MySite\\userfiles\\' or '/root/mysite/userfiles/'.
 		Attention: The above 'QuickUploadPath' must point to the same directory.
 		Attention: It must end with a slash: '/'
 
-	 	NOTE: by default, QuickUploadPath and QuickUploadAbsolutePath point to 
-	 	"userfiles" directory to maintain backwards compatibility with older versions of FCKeditor. 
+	 	NOTE: by default, QuickUploadPath and QuickUploadAbsolutePath point to
+	 	"userfiles" directory to maintain backwards compatibility with older versions of FCKeditor.
 	 	This is fine, but you in some cases you will be not able to browse uploaded files using file browser.
-	 	Example: if you click on "image button", select "Upload" tab and send image 
-	 	to the server, image will appear in FCKeditor correctly, but because it is placed 
+	 	Example: if you click on "image button", select "Upload" tab and send image
+	 	to the server, image will appear in FCKeditor correctly, but because it is placed
 	 	directly in /userfiles/ directory, you'll be not able to see it in built-in file browser.
 	 	The more expected behaviour would be to send images directly to "image" subfolder.
@@ -108,8 +108,8 @@
 			$Config['QuickUploadPath']['Image']			= $Config['UserFilesPath'] ;
 			$Config['QuickUploadAbsolutePath']['Image']	= $Config['UserFilesAbsolutePath'] ;
-		into:	
+		into:
 			$Config['QuickUploadPath']['Image']			= $Config['FileTypesPath']['Image'] ;
-			$Config['QuickUploadAbsolutePath']['Image'] 	= $Config['FileTypesAbsolutePath']['Image'] ;			
-		
+			$Config['QuickUploadAbsolutePath']['Image'] 	= $Config['FileTypesAbsolutePath']['Image'] ;
+
 */
 
Index: FCKeditor/trunk/editor/filemanager/connectors/php/connector.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/connector.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/connector.php	(revision 1564)
@@ -50,6 +50,6 @@
 	$sCurrentFolder	= GetCurrentFolder() ;
 
-	// Check if it is an allowed command 
-	if ( ! IsAllowedCommand( $sCommand ) ) 
+	// Check if it is an allowed command
+	if ( ! IsAllowedCommand( $sCommand ) )
 		SendError( 1, 'The "' . $sCommand . '" command isn\'t allowed' ) ;
 
Index: FCKeditor/trunk/editor/filemanager/connectors/php/io.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/io.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/io.php	(revision 1564)
@@ -30,5 +30,5 @@
 	global $Config ;
 
-	if ( $sCommand == "QuickUpload") 
+	if ( $sCommand == "QuickUpload")
 		return $Config['QuickUploadPath'][$resourceType] ;
 	else
@@ -39,5 +39,5 @@
 {
 	global $Config ;
-	if ( $sCommand == "QuickUpload") 
+	if ( $sCommand == "QuickUpload")
 	{
 		if ( strlen( $Config['QuickUploadAbsolutePath'][$resourceType] ) > 0 )
@@ -104,5 +104,5 @@
 			return "Can't create $folderPath directory" ;
 		}
-		
+
 		$sErrorMsg = CreateServerFolder( $sParent, $folderPath ) ;
 		if ( $sErrorMsg != '' )
@@ -147,5 +147,5 @@
 
 	$sSelfPath = str_replace( '/', DIRECTORY_SEPARATOR, $sSelfPath ) ;
-	
+
 	$position = strpos( $sRealPath, $sSelfPath ) ;
 
@@ -181,8 +181,8 @@
 	$arDenied	= $Config['DeniedExtensions'][$resourceType] ;
 
-	if ( count($arAllowed) > 0 && !in_array( $sExtension, $arAllowed ) ) 
-		return false ;
-
-	if ( count($arDenied) > 0 && in_array( $sExtension, $arDenied ) ) 
+	if ( count($arAllowed) > 0 && !in_array( $sExtension, $arAllowed ) )
+		return false ;
+
+	if ( count($arDenied) > 0 && in_array( $sExtension, $arDenied ) )
 		return false ;
 
@@ -195,5 +195,5 @@
 	if ( !in_array( $resourceType, $Config['ConfigAllowedTypes'] ) )
 		return false ;
-	
+
 	return true ;
 }
@@ -205,5 +205,5 @@
 	if ( !in_array( $sCommand, $Config['ConfigAllowedCommands'] ) )
 		return false ;
-	
+
 	return true ;
 }
Index: FCKeditor/trunk/editor/filemanager/connectors/php/phpcompat.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/phpcompat.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/phpcompat.php	(revision 1564)
Index: FCKeditor/trunk/editor/filemanager/connectors/php/upload.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/upload.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/upload.php	(revision 1564)
@@ -44,8 +44,8 @@
 $sType = isset( $_GET['Type'] ) ? $_GET['Type'] : 'File' ;
 
-$sCurrentFolder	= GetCurrentFolder() ; 
+$sCurrentFolder	= GetCurrentFolder() ;
 
 // Is enabled the upload?
-if ( ! IsAllowedCommand( $sCommand ) ) 
+if ( ! IsAllowedCommand( $sCommand ) )
 	SendUploadResults( '1', '', '', 'The ""' . $sCommand . '"" command isn\'t allowed' ) ;
 
Index: FCKeditor/trunk/editor/filemanager/connectors/php/util.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/util.php	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/util.php	(revision 1564)
@@ -37,5 +37,5 @@
 function ConvertToXmlAttribute( $value )
 {
-	if ( defined( 'PHP_OS' ) ) 
+	if ( defined( 'PHP_OS' ) )
 	{
 		$os = PHP_OS ;
@@ -45,13 +45,13 @@
 		$os = php_uname() ;
 	}
-	
-	if ( strtoupper( substr( $os, 0, 3 ) ) === 'WIN' ) 
+
+	if ( strtoupper( substr( $os, 0, 3 ) ) === 'WIN' )
 	{
 		return ( utf8_encode( htmlspecialchars( $value ) ) ) ;
-	} 
-	else 
+	}
+	else
 	{
 		return ( htmlspecialchars( $value ) ) ;
-	}	
+	}
 }
 
@@ -78,11 +78,11 @@
 
 /**
- * Detect HTML in the first KB to prevent against potential security issue with 
+ * Detect HTML in the first KB to prevent against potential security issue with
  * IE/Safari/Opera file type auto detection bug.
  * Returns true if file contain insecure HTML code at the beginning.
- * 
+ *
  * @param string $filePath absolute path to file
  * @return boolean
- */ 
+ */
 function DetectHtml( $filePath )
 {
@@ -93,5 +93,5 @@
 	$chunk = strtolower( $chunk ) ;
 
-	if (!$chunk) 
+	if (!$chunk)
 	{
 		return false ;
@@ -100,14 +100,14 @@
 	$chunk = trim( $chunk ) ;
 
-	if ( preg_match( "/<!DOCTYPE\W*X?HTML/sim", $chunk ) ) 
+	if ( preg_match( "/<!DOCTYPE\W*X?HTML/sim", $chunk ) )
 	{
 		return true;
-	}	
+	}
 
 	$tags = array( '<body', '<head', '<html', '<img', '<pre', '<script', '<table', '<title' ) ;
 
-	foreach( $tags as $tag ) 
+	foreach( $tags as $tag )
 	{
-		if( false !== strpos( $chunk, $tag ) ) 
+		if( false !== strpos( $chunk, $tag ) )
 		{
 			return true ;
@@ -116,5 +116,5 @@
 
 	//type = javascript
-	if ( preg_match( '!type\s*=\s*[\'"]?\s*(?:\w*/)?(?:ecma|java)!sim', $chunk ) ) 
+	if ( preg_match( '!type\s*=\s*[\'"]?\s*(?:\w*/)?(?:ecma|java)!sim', $chunk ) )
 	{
 		return true ;
@@ -128,12 +128,12 @@
 		return true ;
 	}
-	
+
 	//url(javascript
-	if ( preg_match( '!url\s*\(\s*[\'"]?\s*(?:ecma|java)script:!sim', $chunk ) ) 
+	if ( preg_match( '!url\s*\(\s*[\'"]?\s*(?:ecma|java)script:!sim', $chunk ) )
 	{
 		return true ;
-	}			
+	}
 
-	return false ;	
+	return false ;
 }
 
@@ -142,10 +142,10 @@
  * Currently this function validates only image files.
  * Returns false if file is invalid.
- * 
+ *
  * @param string $filePath absolute path to file
  * @param string $extension file extension
  * @param integer $detectionLevel 0 = none, 1 = use getimagesize for images, 2 = use DetectHtml for images
  * @return boolean
- */ 
+ */
 function IsImageValid( $filePath, $extension )
 {
@@ -171,13 +171,13 @@
 		}
 	}
-	
+
 	if ( !in_array( $extension, $imageCheckExtensions ) ) {
 		return true;
 	}
-	
+
 	if ( @getimagesize( $filePath ) === false ) {
 		return false ;
-	}		
-	
+	}
+
 	return true;
 }
Index: FCKeditor/trunk/editor/filemanager/connectors/py/config.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/config.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/config.py	(revision 1564)
@@ -20,12 +20,12 @@
  * == END LICENSE ==
  *
- * Configuration file for the File Manager Connector for Python 
+ * Configuration file for the File Manager Connector for Python
 """
 
-# INSTALLATION NOTE: You must set up your server environment accordingly to run 
+# INSTALLATION NOTE: You must set up your server environment accordingly to run
 # python scripts. This connector requires Python 2.4 or greater.
-# 
-# Supported operation modes: 
-#  * WSGI (recommended): You'll need apache + mod_python + modpython_gateway 
+#
+# Supported operation modes:
+#  * WSGI (recommended): You'll need apache + mod_python + modpython_gateway
 #                        or any web server capable of the WSGI python standard
 #  * Plain Old CGI:      Any server capable of running standard python scripts
@@ -33,18 +33,18 @@
 #                        This was the previous connector version operation mode
 #
-# If you're using Apache web server, replace the htaccess.txt to to .htaccess, 
+# If you're using Apache web server, replace the htaccess.txt to to .htaccess,
 # and set the proper options and paths.
 # For WSGI and mod_python, you may need to download modpython_gateway from:
-# http://projects.amor.org/misc/svn/modpython_gateway.py and copy it in this 
+# http://projects.amor.org/misc/svn/modpython_gateway.py and copy it in this
 # directory.
 
-   
+
 # SECURITY: You must explicitly enable this "connector". (Set it to "True").
-# WARNING: don't just set "ConfigIsEnabled = True", you must be sure that only 
+# WARNING: don't just set "ConfigIsEnabled = True", you must be sure that only
 #		authenticated users can access this file or use some kind of session checking.
 Enabled = False
 
 # Path to user files relative to the document root.
-UserFilesPath = '/userfiles/' 
+UserFilesPath = '/userfiles/'
 
 # Fill the following value it you prefer to specify the absolute path for the
@@ -54,15 +54,15 @@
 # WARNING: GetRootPath may not work in virtual or mod_python configurations, and
 # may not be thread safe. Use this configuration parameter instead.
-UserFilesAbsolutePath = '' 
+UserFilesAbsolutePath = ''
 
 # Due to security issues with Apache modules, it is recommended to leave the
 # following setting enabled.
-ForceSingleExtension = True 
+ForceSingleExtension = True
 
 # What the user can do with this connector
-ConfigAllowedCommands = [ 'QuickUpload', 'FileUpload', 'GetFolders', 'GetFoldersAndFiles', 'CreateFolder' ] 
+ConfigAllowedCommands = [ 'QuickUpload', 'FileUpload', 'GetFolders', 'GetFoldersAndFiles', 'CreateFolder' ]
 
 # Allowed Resource Types
-ConfigAllowedTypes = ['File', 'Image', 'Flash', 'Media'] 
+ConfigAllowedTypes = ['File', 'Image', 'Flash', 'Media']
 
 # Do not touch this 3 lines, see "Configuration settings for each Resource Type"
@@ -73,7 +73,7 @@
 #	Configuration settings for each Resource Type
 #
-#	- AllowedExtensions: the possible extensions that can be allowed. 
+#	- AllowedExtensions: the possible extensions that can be allowed.
 #		If it is empty then any file type can be uploaded.
-#	- DeniedExtensions: The extensions that won't be allowed. 
+#	- DeniedExtensions: The extensions that won't be allowed.
 #		If it is empty then no restrictions are done here.
 #
@@ -82,11 +82,11 @@
 #
 #	- FileTypesPath: the virtual folder relative to the document root where
-#		these resources will be located. 
+#		these resources will be located.
 #		Attention: It must start and end with a slash: '/'
 #
 #	- FileTypesAbsolutePath: the physical path to the above folder. It must be
-#		an absolute path. 
+#		an absolute path.
 #		If it's an empty string then it will be autocalculated.
-#		Useful if you are using a virtual directory, symbolic link or alias. 
+#		Useful if you are using a virtual directory, symbolic link or alias.
 #		Examples: 'C:\\MySite\\userfiles\\' or '/root/mysite/userfiles/'.
 #		Attention: The above 'FileTypesPath' must point to the same directory.
@@ -95,12 +95,12 @@
 #
 #	- QuickUploadPath: the virtual folder relative to the document root where
-#		these resources will be uploaded using the Upload tab in the resources 
+#		these resources will be uploaded using the Upload tab in the resources
 #		dialogs.
 #		Attention: It must start and end with a slash: '/'
 #
 #	- QuickUploadAbsolutePath: the physical path to the above folder. It must be
-#		an absolute path. 
+#		an absolute path.
 #		If it's an empty string then it will be autocalculated.
-#		Useful if you are using a virtual directory, symbolic link or alias. 
+#		Useful if you are using a virtual directory, symbolic link or alias.
 #		Examples: 'C:\\MySite\\userfiles\\' or '/root/mysite/userfiles/'.
 #		Attention: The above 'QuickUploadPath' must point to the same directory.
@@ -109,5 +109,5 @@
 AllowedExtensions['File'] 		= ['7z','aiff','asf','avi','bmp','csv','doc','fla','flv','gif','gz','gzip','jpeg','jpg','mid','mov','mp3','mp4','mpc','mpeg','mpg','ods','odt','pdf','png','ppt','pxd','qt','ram','rar','rm','rmi','rmvb','rtf','sdc','sitd','swf','sxc','sxw','tar','tgz','tif','tiff','txt','vsd','wav','wma','wmv','xls','xml','zip']
 DeniedExtensions['File'] 		= []
-FileTypesPath['File'] 			= UserFilesPath + 'file/' 
+FileTypesPath['File'] 			= UserFilesPath + 'file/'
 FileTypesAbsolutePath['File'] 	= (not UserFilesAbsolutePath == '') and (UserFilesAbsolutePath + 'file/') or ''
 QuickUploadPath['File']			= FileTypesPath['File']
@@ -116,5 +116,5 @@
 AllowedExtensions['Image']		= ['bmp','gif','jpeg','jpg','png']
 DeniedExtensions['Image']		= []
-FileTypesPath['Image']			= UserFilesPath + 'image/' 
+FileTypesPath['Image']			= UserFilesPath + 'image/'
 FileTypesAbsolutePath['Image']	= (not UserFilesAbsolutePath == '') and UserFilesAbsolutePath + 'image/' or ''
 QuickUploadPath['Image']		= FileTypesPath['Image']
Index: FCKeditor/trunk/editor/filemanager/connectors/py/connector.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/connector.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/connector.py	(revision 1564)
@@ -38,5 +38,5 @@
 							GetFoldersAndFilesCommandMixin,
 							CreateFolderCommandMixin,
-							UploadFileCommandMixin, 
+							UploadFileCommandMixin,
 							BaseHttpMixin, BaseXmlMixin, BaseHtmlMixin  ):
 	"The Standard connector class."
@@ -58,27 +58,27 @@
 		if currentFolder is None:
 			return self.sendError(102, "")
-		
+
 		# Check if it is an allowed command
 		if ( not command in Config.ConfigAllowedCommands ):
-			return self.sendError( 1, 'The %s command isn\'t allowed' % command ) 
-		
+			return self.sendError( 1, 'The %s command isn\'t allowed' % command )
+
 		if ( not resourceType in Config.ConfigAllowedTypes  ):
-			return self.sendError( 1, 'Invalid type specified' ) 
+			return self.sendError( 1, 'Invalid type specified' )
 
 		# Setup paths
 		if command == "QuickUpload":
-			self.userFilesFolder = Config.QuickUploadAbsolutePath[resourceType] 
+			self.userFilesFolder = Config.QuickUploadAbsolutePath[resourceType]
 			self.webUserFilesFolder =  Config.QuickUploadPath[resourceType]
 		else:
 			self.userFilesFolder = Config.FileTypesAbsolutePath[resourceType]
-			self.webUserFilesFolder = Config.FileTypesPath[resourceType]	
-		
+			self.webUserFilesFolder = Config.FileTypesPath[resourceType]
+
 		if not self.userFilesFolder: # no absolute path given (dangerous...)
-			self.userFilesFolder = mapServerPath(self.environ, 
+			self.userFilesFolder = mapServerPath(self.environ,
 									self.webUserFilesFolder)
 		# Ensure that the directory exists.
 		if not os.path.exists(self.userFilesFolder):
 			try:
-				self.createServerFoldercreateServerFolder( self.userFilesFolder ) 
+				self.createServerFoldercreateServerFolder( self.userFilesFolder )
 			except:
 				return self.sendError(1, "This connector couldn\'t access to local user\'s files directories.  Please check the UserFilesAbsolutePath in \"editor/filemanager/connectors/py/config.py\" and try again. ")
@@ -87,8 +87,8 @@
 		if (command == "FileUpload"):
 			return self.uploadFile(resourceType, currentFolder)
-		
+
 		# Create Url
 		url = combinePaths( self.webUserFilesFolder, currentFolder )
-		
+
 		# Begin XML
 		s += self.createXmlHeader(command, resourceType, currentFolder, url)
@@ -100,6 +100,6 @@
 		s += selector[command](resourceType, currentFolder)
 		s += self.createXmlFooter()
-		return s	
-	
+		return s
+
 # Running from command line (plain old CGI)
 if __name__ == '__main__':
@@ -110,5 +110,5 @@
 		for header in conn.headers:
 			print '%s: %s' % header
-		print 
+		print
 		print data
 	except:
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckcommands.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckcommands.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckcommands.py	(revision 1564)
@@ -101,5 +101,5 @@
 						errorNo = 103
 					elif e.errno==36 or e.errno==2 or e.errno==22: # filename too long / no such file / invalid name
-						errorNo = 102 
+						errorNo = 102
 				else:
 					errorNo = 110
@@ -113,5 +113,5 @@
 		oldumask = os.umask(0)
 		os.makedirs(folderPath,mode=0755)
-		os.umask( oldumask ) 
+		os.umask( oldumask )
 
 class UploadFileCommandMixin (object):
@@ -126,5 +126,5 @@
 			# Get the file name
 			newFileName = newFile.filename
-			newFileName = sanitizeFileName( newFileName ) 
+			newFileName = sanitizeFileName( newFileName )
 			newFileNameOnly = removeExtension(newFileName)
 			newFileExtension = getExtension(newFileName).lower()
@@ -169,7 +169,7 @@
 
 						if os.path.exists ( newFilePath ):
-							oldumask = os.umask(0) 
-							os.chmod( newFilePath, 0755 ) 
-							os.umask( oldumask ) 
+							oldumask = os.umask(0)
+							os.chmod( newFilePath, 0755 )
+							os.umask( oldumask )
 
 						newFileUrl = self.webUserFilesFolder + currentFolder + newFileName
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckconnector.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckconnector.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckconnector.py	(revision 1564)
@@ -39,5 +39,5 @@
 		"Constructor: Here you should parse request fields, initialize variables, etc."
 		self.request = FCKeditorRequest(environ) # Parse request
-		self.headers = []						# Clean Headers 
+		self.headers = []						# Clean Headers
 		if environ:
 			self.environ = environ
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckoutput.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckoutput.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckoutput.py	(revision 1564)
@@ -54,10 +54,10 @@
 		self.setHeader('Expires','Mon, 26 Jul 1997 05:00:00 GMT')
 		# always modified
-		self.setHeader('Last-Modified',strftime("%a, %d %b %Y %H:%M:%S GMT", gmtime())) 
+		self.setHeader('Last-Modified',strftime("%a, %d %b %Y %H:%M:%S GMT", gmtime()))
 		# HTTP/1.1
-		self.setHeader('Cache-Control','no-store, no-cache, must-revalidate') 
-		self.setHeader('Cache-Control','post-check=0, pre-check=0') 
+		self.setHeader('Cache-Control','no-store, no-cache, must-revalidate')
+		self.setHeader('Cache-Control','post-check=0, pre-check=0')
 		# HTTP/1.0
-		self.setHeader('Pragma','no-cache') 
+		self.setHeader('Pragma','no-cache')
 
 		# Set the response format.
@@ -94,5 +94,5 @@
 				self.sendErrorNode (number, text) +
 				"""</Connector>""" )
-		
+
 	def sendErrorNode(self, number, text):
 		return """<Error number="%s" text="%s" />""" % (number, convertToXmlAttribute(text))
@@ -103,9 +103,9 @@
 		"This is the function that sends the results of the uploading process"
 		return """<script type="text/javascript">
-			window.parent.OnUploadCompleted(%(errorNumber)s,"%(fileUrl)s","%(fileName)s","%(customMsg)s"); 
+			window.parent.OnUploadCompleted(%(errorNumber)s,"%(fileUrl)s","%(fileName)s","%(customMsg)s");
 			</script>""" % {
 			'errorNumber': errorNo,
 			'fileUrl': fileUrl.replace ('"', '\\"'),
-			'fileName': fileName.replace ( '"', '\\"' ) , 
+			'fileName': fileName.replace ( '"', '\\"' ) ,
 			'customMsg': customMsg.replace ( '"', '\\"' ),
 			}
Index: FCKeditor/trunk/editor/filemanager/connectors/py/fckutil.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/fckutil.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/fckutil.py	(revision 1564)
@@ -21,5 +21,5 @@
 == END LICENSE ==
 
-Utility functions for the File Manager Connector for Python 
+Utility functions for the File Manager Connector for Python
 
 """
@@ -50,8 +50,8 @@
 
 def combinePaths( basePath, folder ):
-	return removeFromEnd( basePath, '/' ) + '/' + removeFromStart( folder, '/' ) 
+	return removeFromEnd( basePath, '/' ) + '/' + removeFromStart( folder, '/' )
 
 def getFileName(filename):
-	" Purpose: helper function to extrapolate the filename " 
+	" Purpose: helper function to extrapolate the filename "
 	for splitChar in ["/", "\\"]:
 		array = filename.split(splitChar)
@@ -76,6 +76,6 @@
 
 def getCurrentFolder(currentFolder):
-	if not currentFolder: 
-		currentFolder = '/' 
+	if not currentFolder:
+		currentFolder = '/'
 
 	# Check the current folder syntax (must begin and end with a slash).
@@ -84,8 +84,8 @@
 	if (currentFolder[0] <> "/"):
 		currentFolder = "/" + currentFolder
-				
+
 	# Ensure the folder path has no double-slashes
 	while '//' in currentFolder:
-		currentFolder = currentFolder.replace('//','/') 
+		currentFolder = currentFolder.replace('//','/')
 
 	# Check for invalid folder paths (..)
@@ -93,5 +93,5 @@
 		return None
 
-	return currentFolder 
+	return currentFolder
 
 def mapServerPath( environ, url):
@@ -102,5 +102,5 @@
 
 def mapServerFolder(resourceTypePath, folderPath):
-	return combinePaths ( resourceTypePath  , folderPath ) 
+	return combinePaths ( resourceTypePath  , folderPath )
 
 def getRootPath(environ):
@@ -112,16 +112,15 @@
 		return environ['DOCUMENT_ROOT']
 	else:
-		realPath = os.path.realpath( './' ) 
+		realPath = os.path.realpath( './' )
 		selfPath = environ['SCRIPT_FILENAME']
-		selfPath = selfPath [ :  selfPath.rfind( '/'  ) ] 		
-		selfPath = selfPath.replace( '/', os.path.sep) 
-		
-		position = realPath.find(selfPath) 
+		selfPath = selfPath [ :  selfPath.rfind( '/'  ) ]
+		selfPath = selfPath.replace( '/', os.path.sep)
+
+		position = realPath.find(selfPath)
 
 		# This can check only that this script isn't run from a virtual dir
 		# But it avoids the problems that arise if it isn't checked
-		raise realPath 
+		raise realPath
 		if ( position < 0 or position <> len(realPath) - len(selfPath) or realPath[ : position ]==''):
 			raise Exception('Sorry, can\'t map "UserFilesPath" to a physical path. You must set the "UserFilesAbsolutePath" value in "editor/filemanager/connectors/py/config.py".')
 		return realPath[ : position ]
-
Index: FCKeditor/trunk/editor/filemanager/connectors/py/htaccess.txt
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/htaccess.txt	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/htaccess.txt	(revision 1564)
@@ -1,3 +1,3 @@
-# replace the name of this file to .htaccess (if using apache), 
+# replace the name of this file to .htaccess (if using apache),
 # and set the proper options and paths according your enviroment
 
@@ -20,4 +20,4 @@
 
 # Plain old CGI
-#Options +ExecCGI 
+#Options +ExecCGI
 #AddHandler cgi-script py
Index: FCKeditor/trunk/editor/filemanager/connectors/py/upload.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/upload.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/upload.py	(revision 1564)
@@ -32,6 +32,6 @@
 
 class FCKeditorQuickUpload(	FCKeditorConnectorBase,
-							UploadFileCommandMixin, 
-							BaseHttpMixin, BaseHtmlMixin):	
+							UploadFileCommandMixin,
+							BaseHttpMixin, BaseHtmlMixin):
 	def doResponse(self):
 		"Main function. Process the request, set headers and return a string as response."
@@ -49,22 +49,22 @@
 		# Check if it is an allowed command
 		if ( not command in Config.ConfigAllowedCommands ):
-			return self.sendUploadResults( 1, '', '', 'The %s command isn\'t allowed' % command ) 
-		
+			return self.sendUploadResults( 1, '', '', 'The %s command isn\'t allowed' % command )
+
 		if ( not resourceType in Config.ConfigAllowedTypes  ):
-			return self.sendUploadResults( 1, '', '', 'Invalid type specified' ) 
+			return self.sendUploadResults( 1, '', '', 'Invalid type specified' )
 
 		# Setup paths
-		self.userFilesFolder = Config.QuickUploadAbsolutePath[resourceType] 
-		self.webUserFilesFolder =  Config.QuickUploadPath[resourceType]	
+		self.userFilesFolder = Config.QuickUploadAbsolutePath[resourceType]
+		self.webUserFilesFolder =  Config.QuickUploadPath[resourceType]
 		if not self.userFilesFolder: # no absolute path given (dangerous...)
-			self.userFilesFolder = mapServerPath(self.environ, 
+			self.userFilesFolder = mapServerPath(self.environ,
 									self.webUserFilesFolder)
-		
+
 		# Ensure that the directory exists.
 		if not os.path.exists(self.userFilesFolder):
 			try:
-				self.createServerFoldercreateServerFolder( self.userFilesFolder ) 
+				self.createServerFoldercreateServerFolder( self.userFilesFolder )
 			except:
-				return self.sendError(1, "This connector couldn\'t access to local user\'s files directories.  Please check the UserFilesAbsolutePath in \"editor/filemanager/connectors/py/config.py\" and try again. ")			
+				return self.sendError(1, "This connector couldn\'t access to local user\'s files directories.  Please check the UserFilesAbsolutePath in \"editor/filemanager/connectors/py/config.py\" and try again. ")
 
 		# File upload doesn't have to return XML, so intercept here
@@ -80,5 +80,5 @@
 			if not header is None:
 				print '%s: %s' % header
-		print 
+		print
 		print data
 	except:
Index: FCKeditor/trunk/editor/filemanager/connectors/py/wsgi.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/wsgi.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/wsgi.py	(revision 1564)
@@ -34,5 +34,5 @@
 
 # Running from WSGI capable server (recomended)
-def App(environ, start_response): 
+def App(environ, start_response):
 	"WSGI entry point. Run the connector"
 	if environ['SCRIPT_NAME'].endswith("connector.py"):
@@ -55,4 +55,4 @@
 		start_response("500 Internal Server Error",[("Content-type","text/html")])
 		file = StringIO()
-		cgitb.Hook(file = file).handle()    
+		cgitb.Hook(file = file).handle()
 		yield file.getvalue()
Index: FCKeditor/trunk/editor/filemanager/connectors/py/zope.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/zope.py	(revision 1546)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/zope.py	(revision 1564)
@@ -24,6 +24,6 @@
 
 This code was not tested at all.
-It just was ported from pre 2.5 release, so for further reference see 
-\editor\filemanager\browser\default\connectors\py\connector.py in previous 
+It just was ported from pre 2.5 release, so for further reference see
+\editor\filemanager\browser\default\connectors\py\connector.py in previous
 releases.
 
@@ -49,5 +49,5 @@
 		self.context = context
 		self.request = FCKeditorRequest(context)
-	
+
 	def getZopeRootContext(self):
 		if self.zopeRootContext is None:
@@ -187,3 +187,2 @@
 return connector.FCKeditorConnectorZope(context=context).doResponse()
 """
-
